non_copyable.hpp File Reference

Inherit from this class to forbid copy constructor in your class. More...

Go to the source code of this file.

## Classes

class | claw::pattern::non_copyable
| Inherit from this class to forbid construction of your class by copy. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::pattern
| Here are the design patterns.

## Detailed Description

Inherit from this class to forbid copy constructor in your class.

Author
  Julien Jorge

Definition in file non_copyable.hpp.